Bug 42519 - ddd crashes gdb whel altering gdb settings
Summary: ddd crashes gdb whel altering gdb settings
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Powertools
Classification: Retired
Component: ddd   
(Show other bugs)
Version: 7.1
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-28 00:49 UTC by Carlos Rodrigues
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-06 09:25:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Carlos Rodrigues 2001-05-28 00:49:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-2 i686; Nav)

Description of problem:
When I try to alter gdb settings inside ddd, gdb crashes.

How reproducible:
Always

Steps to Reproduce:
1. start ddd
2. go to edit->GDB settings...
 

Actual Results:  A dialog appears stating that "GDB terminated abnormally
(segmentation fault)" but Debugger settings dialog box still appears.

Expected Results:  Only the "debugger settings" dialog should appear.

Additional info:

Comment 1 Ngo Than 2001-08-14 16:32:15 UTC
It's fixed in gdb-5.0rh-15. You find it in the rawhide



Note You need to log in before you can comment on or make changes to this bug.